﻿using ComPDFKitViewer.AnnotEvent;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PDF_Office.Views.PropertyPanel.AnnotPanel
{
    /// <summary>
    /// LinkAnnotProperty.xaml 的交互逻辑
    /// </summary>
    public partial class LinkAnnotProperty : UserControl
    {
        public int TotalPage { get; set; }

        public LinkAnnotProperty()
        {
            InitializeComponent();
        }

        internal void SetTextBoxEnableOrNot(bool enable, int totalPage)
        {
            TotalPage = totalPage;

            PageNumText.Text = string.Empty;
            PageWebText.Text = string.Empty;
            PageMailText.Text = string.Empty;

            PageNumText.IsEnabled = enable;
            if (PageNumText.IsEnabled == true)
            {
                //defaultPageNumText.Text = string.Format($"1-{totalPage}页");
                //PageNumText.PlaceholderText = string.Format($"1-{totalPage}页");
                PageNumText.PlaceHoldText = string.Format($"1-{totalPage}页");
            }
            else
            {
                //defaultPageNumText.Text = "Enter target page";
                //PageNumText.PlaceholderText = "Enter target page";
                PageNumText.PlaceHoldText = "Enter target page";
            }
            PageNumText.IsError = false;
            //BorderPageNumText.Background = enable ? Brushes.White : Brushes.LightGray;

            PageWebText.IsEnabled = enable;
            BorderPageWebText.Background = enable ? Brushes.White : Brushes.LightGray;

            PageMailText.IsEnabled = enable;
            BorderPageMailText.Background = enable ? Brushes.White : Brushes.LightGray;

            BtnGOorBack.IsEnabled = false;
            //BtnLocation.IsEnabled = enable;
        }


    }
}